# schematic

Documentation tools for Scheme.

## Requirements

All libraries and most programs work in any R7RS Scheme.

`schematic-docco(1)` requires [CHICKEN](http://call-cc.org) with the
following extensions:

  * [fmt](http://wiki.call-cc.org/egg/fmt) (for ANSI output)
  * [sxml-transforms](http://wiki.call-cc.org/egg/sxml-transforms) (for HTML output)
  * [colorize](http://wiki.call-cc.org/egg/colorize) (for syntax highlighting)

## Installation

When installing for CHICKEN, use `chicken-install(1)`:

    $ git clone --recursive git://bitbucket.com/evhan/schematic.git
    $ cd schematic
    $ chicken-install

Other Schemes can install the Schematic libraries by placing all
directories in `src/` and `lib/*/src/` on the system's load path.

## Usage

On CHICKEN, four programs are included: `schematic-docco(1)`,
`schematic-format(1)`, `schematic-format(1)` and
`schematic-markdown(1)`. Other Schemes can run these programs as scripts
from the project directory, or after installing the Schematic libraries.

Refer to the manual pages for each program, or `schematic-docco.1.md`,
`schematic-format.1.md`, `schematic-wiki.1.md` and
`schematic-markdown.1.md`, for usage details.

## License

BSD. See LICENSE for details.
